/*
	PlastererUtil
	Copyright (C) 2003 ONO, Masayuki <mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef __PLASTERER_UTIL_H__
#define __PLASTERER_UTIL_H__

#include <qvariant.h>
#include <qdialog.h>
#include "PlastererUtilBase.h"

class QVBoxLayout; 
class QHBoxLayout; 
class QGroupBox;
class QLabel;
class QPushButton;
class SlFileSelector;
class SlColorSelector;

class ImageBrowser : public QDialog
{
Q_OBJECT

public:
	ImageBrowser( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~ImageBrowser();
	QString getPath();

private:
	QVBoxLayout * BaseLayout;
	SlFileSelector * ExeBrowser;
	QString m_sPath;

protected:
	void closeEvent( QCloseEvent * );

protected slots:
	void accept();
	void reject();
};

class PlastererUtil : public PlastererUtilBase
{ 
    Q_OBJECT
public:
    PlastererUtil( QWidget* parent = 0, const char* name = 0,
    						bool modal = FALSE, WFlags fl = 0 );
    ~PlastererUtil();

protected slots:
	void closeEvent( QCloseEvent* );
	void accept();
	void reject();
	void clickedUseSameImageCheck();
	void clickedImageAlignVGroup( int );
	void clickedImageAlignHGroup( int );
	void clickedApplyButton();
	void clickedBackColorVButton();
	void clickedBackColorHButton();
	void clickedImagePathVButton();
	void clickedImagePathHButton();
	void selectedBackColorV( QRgb );
	void selectedBackColorH( QRgb );
	void applyWallpaper();

protected:
	QString m_strVFN;
	QString m_strHFN;
	bool m_bVFT;
	bool m_bHFT;
	bool m_bVTM;
	bool m_bHTM;
	QString m_strVBC;
	QString m_strHBC;
	bool m_bSVH;

	QColor m_clrVBC;
	QColor m_clrHBC;
};

#endif // __PLASTERER_UTIL_H__
