/*
	PlastererUtil
	Copyright (C) 2004 ONO, Masayuki <mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef __PLASTERER_UTIL_BASE_H__
#define __PLASTERER_UTIL_BASE_H__

#include <qvariant.h>
#include <qdialog.h>
#include <qpe/qpeapplication.h>

class QTabWidget;
class QLineEdit;
class QVBoxLayout; 
class QHBoxLayout; 
class QGroupBox;
class QRadioButton;
class QLabel;
class QPushButton;
class QButtonGroup;
class QCheckBox;

class PlastererUtilBase : public QDialog
{ 
Q_OBJECT

public:
	PlastererUtilBase( QWidget* parent = 0, const char* name = 0,
									bool modal = FALSE, WFlags fl = 0 );
	~PlastererUtilBase();

	enum{
		idTiling = 1,
		idCentering
	};

	QTabWidget*		Tabs;

	QWidget*		TabV;
	QGroupBox*		BasicVGroupBox;
	QCheckBox*		UseSameImageVHCheck;
	QLabel*			ImagePathVLabel;
	QLineEdit*		ImagePathVEdit;
	QPushButton*	ImagePathVButton;
	QButtonGroup*	ImageAlignVGroup;
	QRadioButton*	TilingVRadio;
	QRadioButton*	CenteringVRadio;
	QCheckBox*		ScalingVCheck;
	QPushButton*	BackColorVButton;

	QWidget*		TabH;
	QGroupBox*		BasicHGroupBox;
	QLabel*			ImagePathHLabel;
	QLineEdit*		ImagePathHEdit;
	QPushButton*	ImagePathHButton;
	QButtonGroup*	ImageAlignHGroup;
	QRadioButton*	TilingHRadio;
	QRadioButton*	CenteringHRadio;
	QCheckBox*		ScalingHCheck;
	QPushButton*	BackColorHButton;

	QPushButton*	ApplyButton;

protected:
	QVBoxLayout*	BaseFormLayout;
	QVBoxLayout*	BasicGroupBoxVLayout;
	QVBoxLayout*	BasicGroupBoxHLayout;
	QVBoxLayout*	TabBaseHLayout;
	QVBoxLayout*	TabBaseVLayout;
	QHBoxLayout*	ImagePathVLayout;
	QHBoxLayout*	ImagePathHLayout;
	QHBoxLayout*	ModeVLayout;
	QHBoxLayout*	ModeHLayout;
};

#endif // __PLASTERER_UTIL_BASE_H__
